import zod from "zod";
export declare const createPageElementsCreateValidation: () => zod.ZodObject<{
    name: zod.ZodString;
    type: zod.ZodEnum<["element", "block"]>;
    content: zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>;
}, "strip", zod.ZodTypeAny, {
    content: {} & {
        [k: string]: unknown;
    };
    type: "element" | "block";
    name: string;
}, {
    content: {} & {
        [k: string]: unknown;
    };
    type: "element" | "block";
    name: string;
}>;
export declare const createPageElementsUpdateValidation: () => zod.ZodObject<{
    content: zod.ZodOptional<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>>;
    name: zod.ZodOptional<zod.ZodString>;
    type: zod.ZodOptional<zod.ZodOptional<zod.ZodEnum<["element", "block"]>>>;
}, "strip", zod.ZodTypeAny, {
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | undefined;
    name?: string | undefined;
    type?: "element" | "block" | undefined;
}, {
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | undefined;
    name?: string | undefined;
    type?: "element" | "block" | undefined;
}>;
