import zod from "zod";
export declare const createPageBlocksCreateValidation: () => zod.ZodObject<{
    content: zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>;
    name: zod.ZodString;
    blockCategory: zod.ZodEffects<zod.ZodString, string, string>;
}, "strip", zod.ZodTypeAny, {
    content: (zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[]) & (zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined);
    name: string;
    blockCategory: string;
}, {
    content: (zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[]) & (zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined);
    name: string;
    blockCategory: string;
}>;
export declare const createPageBlocksUpdateValidation: () => zod.ZodObject<{
    content: zod.ZodOptional<zod.ZodUnion<[zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, zod.ZodArray<zod.ZodObject<{}, "passthrough", zod.ZodTypeAny, zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">, zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">>, "many">]>>;
    name: zod.ZodOptional<zod.ZodString>;
    blockCategory: zod.ZodOptional<zod.ZodEffects<zod.ZodEffects<zod.ZodOptional<zod.ZodString>, string | undefined, string | undefined>, string | undefined, string | undefined>>;
}, "strip", zod.ZodTypeAny, {
    content?: zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectOutputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    name?: string | undefined;
    blockCategory?: string | undefined;
}, {
    content?: zod.objectInputType<{}, zod.ZodTypeAny, "passthrough"> | zod.objectInputType<{}, zod.ZodTypeAny, "passthrough">[] | undefined;
    name?: string | undefined;
    blockCategory?: string | undefined;
}>;
